Skip to main content
GET
/
v1
/
statement
/
summary
Resumo do extrato
curl --request GET \
  --url https://stater.stric.io/v1/statement/summary \
  --header 'Authorization: Bearer <token>'
{
  "totalCredits": "<string>",
  "totalDebits": "<string>",
  "countCredits": 0,
  "countDebits": 0,
  "netCents": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Headers

X-Pix-Account-Id
string

Id da conta Pix sobre a qual a operação atua. Obrigatório quando sua API key não está vinculada a uma conta específica.

Required string length: 10 - 40

Query Parameters

from
string
Pattern: ^\d{4}-\d{2}-\d{2}$
to
string
Pattern: ^\d{4}-\d{2}-\d{2}$
type
string
Minimum string length: 1
source
string
Minimum string length: 1

Response

OK

totalCredits
string<int64-string>
required

BigInt serializado como string decimal (Fastify default + convenção da plataforma).

Pattern: ^-?\d+$
totalDebits
string<int64-string>
required

BigInt serializado como string decimal (Fastify default + convenção da plataforma).

Pattern: ^-?\d+$
countCredits
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
countDebits
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
netCents
string<int64-string>
required

BigInt serializado como string decimal (Fastify default + convenção da plataforma).

Pattern: ^-?\d+$
{key}
any